#!/usr/bin/env bash

source $(dirname "$0")/utilis/colors.sh

PACKAGE_NAME=$(node -p "require('./composer.json').name")

NAME=${PACKAGE_NAME##*/}
VENDOR=${PACKAGE_NAME%/${NAME}}
VERSION=$(git describe)

echo "${GREEN}${BOLD}> Building ${PACKAGE_NAME} from version ${VERSION}${RESET}"

# Make sure dist directory exists
[ -d dist/ ] || mkdir dist

ZIP_FILE="dist/${VENDOR}-${NAME}-${VERSION}.zip"

echo "Create file: ${ZIP_FILE}"
git archive -o ${ZIP_FILE} ${VERSION}